2020-08-05 21:19 BST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0002784NetSurf[All Projects] Generalpublic2020-07-27 23:11
ReporterHarriet Bazley 
Assigned ToVincent Sanders 
SeveritycrashReproducibilityalways 
StatusclosedResolutionduplicate 
PlatformARMiniXOSRISC OSOS Version5.27
Product Version 
Target VersionFixed in Version3.11 
Summary0002784: Crash on rendering page
DescriptionNetsurf appears to crash repeatably with a segmentation fault when attempting to render the page https://shoo-fly.weebly.com
Enabling and disabling JavaScript support makes no difference.
Steps To ReproduceVisit this URL.
Additional InformationThe log suggests that it might be something to do with fetching content from YouTube, which is the last entry before it crashes. Might be connected with YouTube's recent changes to its pages so that they display as blank in Netsurf?
TagsNo tags attached.
Fixed in CI build #5193
Reported in CI build #5188
URL of problem pagehttps://shoo-fly.weebly.com
Attached Files
  • ? file icon Log (85,586 bytes) 2020-07-25 22:24 -
    ? file icon Log (85,586 bytes) 2020-07-25 22:24 +

-Relationships
duplicate of 0002783resolvedVincent Sanders Segmentation Fault 
+Relationships

-Notes
Vincent Sanders

~0002277

Vincent Sanders (administrator)

thankyou for your report but this was already reported and fixed.
CI build 5193 or later do not crash
+Notes

-Issue History
Date Modified Username Field Change
2020-07-25 22:23 Harriet Bazley New Issue
2020-07-25 22:24 Harriet Bazley File Added: Log
2020-07-27 23:09 Vincent Sanders Description Updated View Revisions
2020-07-27 23:09 Vincent Sanders Fixed in CI build # => 5193
2020-07-27 23:09 Vincent Sanders Relationship added duplicate of 0002783
2020-07-27 23:11 Vincent Sanders Assigned To => Vincent Sanders
2020-07-27 23:11 Vincent Sanders Status new => closed
2020-07-27 23:11 Vincent Sanders Resolution open => duplicate
2020-07-27 23:11 Vincent Sanders Fixed in Version => 3.11
2020-07-27 23:11 Vincent Sanders Note Added: 0002277
+Issue History